<!-- <div *ngIf="addressList" class="grid grid-cols-12  justify-center mt-2 mb-10">
    <div
        class="col-start-2 col-end-12 lg:col-start-4 lg:col-end-10 col-avatar flex justify-center md:px-8  w-full p-0  h-full"
    >
        <div
            class="flex address-list justify-center items-start w-full h-full"
        >
            <div class="w-full pr-2">
                <div *ngFor="let address of addressList">
                    <cos-frontend-profile-address-detail
                        [address]="address"
                        [isEditing]="editing"
                        (changeEvent)="changeEvent($event)"
                        (editing)="isEditing($event)"
                    ></cos-frontend-profile-address-detail>
                </div>
            </div>
            <div class="w-full md:w-auto" >
                <button mat-button (click)="openModal()" class="w-full">
                    <p class="text-sm md:text-xl py-1 uppercase">Thêm địa chỉ</p>
                </button>
            </div>
        </div>
    </div>
</div> -->

<div *ngIf="addressList" class="container mx-auto max-w-screen-lg justify-center mt-8 mb-10">
    <div class="w-full pr-2">
        <div *ngFor="let address of addressList">
            <cos-frontend-profile-address-detail
                [address]="address"
                [isEditing]="editing"
                (changeEvent)="changeEvent($event)"
                (editing)="isEditing($event)"
            ></cos-frontend-profile-address-detail>
        </div>
    </div>

    <div class="w-1/4 justify-center mx-auto mt-4">
        <button mat-button (click)="openModal()" class="w-full">
            Thêm địa chỉ mới
        </button>
    </div>
</div>
